import { BaseAPIClient, XeroClientConfiguration } from './internals/BaseAPIClient';
import { AccessToken, IOAuth1HttpClient } from './internals/OAuth1HttpClient';
import { ProjectsResponse } from './ProjectsAPI-responses';
import { Project } from './ProjectsAPI-models';
export interface PagingArgs {
    page?: number;
    pageSize?: number;
}
export declare class ProjectsAPIClient extends BaseAPIClient {
    constructor(options: XeroClientConfiguration, authState?: AccessToken, _oAuth1HttpClient?: IOAuth1HttpClient);
    projects: {
        get: (args?: {
            projectIds?: string[];
            contactID?: string;
            states?: string;
        } & PagingArgs) => Promise<ProjectsResponse>;
        getSingle: (args: {
            projectId: string;
        }) => Promise<Project>;
        create: (args: {
            contactId: string;
            Name: string;
            deadlineUtc?: string;
            estimateAmount?: number;
        }) => Promise<Project>;
    };
}
